#pragma once

#include "DataBuffer.h"
#include <cstdint>

namespace blitz {
namespace utils {

DataBuffer Compress(const DataBuffer& buffer);
DataBuffer Decompress(DataBuffer& buffer);
DataBuffer Decompress(DataBuffer& buffer, std::uint64_t packetLength);

}  // namespace utils
}  // namespace blitz
